[WPMU Ldap Authentication] Old WPMU Ldap Authentication plugin not working with PHP7

We have been using the old WPMU Ldap Authentication plugin workhorse on our sites for years, but now, as we are updating our servers to the newest Ubuntu and PHP versions, we are having compatibility issues. We were hoping that there is a quick fix for this that either you have already added to the php, or that we can add to the plugin ourselves to get WPMU Ldap Authentication to continue to work with our site on PHP7.

Thank you in advance.

-Chris